name: search
functions:
  indexPage:
    path: search.ts:indexPage
    events:
      - page:index

  searchQueryProvider:
    path: ./search.ts:queryProvider
    events:
      - query:full-text
  searchCommand:
    path: ./search.ts:searchCommand
    command:
      name: "Search Space"
      key: Ctrl-Shift-f
      mac: Cmd-Shift-f

  readPageSearch:
    path: ./search.ts:readFileSearch
    pageNamespace:
      pattern: "🔍 .+"
      operation: readFile

  writePageSearch:
    path: ./search.ts:writeFileSearch
    pageNamespace:
      pattern: "🔍 .+"
      operation: readFile

  getPageMetaSearch:
    path: ./search.ts:getFileMetaSearch
    pageNamespace:
      pattern: "🔍 .+"
      operation: getFileMeta
